package com.sgbg18.entity;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.Past;
import java.io.Serializable;
import java.util.Date;
/**
 * 员工表(Employee)实体类
 *
 * @author makejava
 * @since 2020-12-25 13:41:20
 */
public class Employee_ztb18326 implements Serializable {
    private static final long serialVersionUID = -22812566703604717L;
    /**
     * 员工id
     */
    private Integer empId;
    /**
     * 员工姓名
     */
    @NotEmpty
    private String empName;
    /**
     * 员工部门
     */
    @NotEmpty
    private String empDepartment;
    /**
     * 员工生日
     */
    @Past
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date empBirthday;
    /**
     * 员工照片
     */
    private String empPhoto;
    /**
     * 员工电话
     */
    private String empTel;
    public Integer getEmpId() {
        return empId;
    }
    public void setEmpId(Integer empId) {
        this.empId = empId;
    }
    public String getEmpName() {
        return empName;
    }
    public void setEmpName(String empName) {
        this.empName = empName;
    }
    public String getEmpDepartment() {
        return empDepartment;
    }
    public void setEmpDepartment(String empDepartment) {
        this.empDepartment = empDepartment;
    }
    public Date getEmpBirthday() {
        return empBirthday;
    }
    public void setEmpBirthday(Date empBirthday) {
        this.empBirthday = empBirthday;
    }
    public String getEmpPhoto() {
        return empPhoto;
    }
    public void setEmpPhoto(String empPhoto) {
        this.empPhoto = empPhoto;
    }
    public String getEmpTel() {
        return empTel;
    }
    public void setEmpTel(String empTel) {
        this.empTel = empTel;
    }
    @Override
    public String toString() {
        return "Employee_ztb18326{" +
                "empId=" + empId +
                ", empName='" + empName + '\'' +
                ", empDepartment='" + empDepartment + '\'' +
                ", empBirthday=" + empBirthday +
                ", empPhoto='" + empPhoto + '\'' +
                ", empTel='" + empTel + '\'' +
                '}';
    }
}